Skip to main content
POST
Create Shipment

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

ID of the fulfillment order

Body

application/json
ship_date
string<date>
required

Date when the shipment will be sent (YYYY-MM-DD)

tracking_number
string
required

Tracking number for the shipment

carrier_code
string
required

Code identifying the carrier

Example:

"fedex"

ship_to
object
required
items
object[]
required

Items to be included in this shipment

Minimum array length: 1
bol_number
string

Bill of Lading Number for logistics tracking

Example:

"BOL-123456789"

pro_number
string

Progressive Rotating Order Number (common in LTL shipping)

Example:

"PRO-987654321"

partner_reference_number
string

General reference number from/for the shipping partner

Example:

"PARTNER-REF-001"

is_return
boolean

Whether this is a return shipment

service_code
string

Code identifying the shipping service

Example:

"ups_ground"

shipment_cost
number<float>

Cost of shipping

insurance_cost
number<float>

Cost of insurance

package_code
string

Code identifying the package type

Example:

"flat_rate_envelope"

warehouse_id
integer | null

ID of the warehouse shipping from

weight
object
dimensions
object

Response

Shipment created successfully

id
integer

Unique identifier for the shipment

sales_order_id
integer

ID of the associated sales order

ship_date
string<date>

Date when the shipment was or will be sent

tracking_number
string

Tracking number for the shipment

bol_number
string

Bill of Lading Number for logistics tracking

Example:

"BOL-123456789"

pro_number
string

Progressive Rotating Order Number (common in LTL shipping)

Example:

"PRO-987654321"

partner_reference_number
string

General reference number from/for the shipping partner

Example:

"PARTNER-REF-001"

is_return
boolean

Whether this is a return shipment

carrier_code
string

Code identifying the carrier (e.g., ups, fedex)

scac
string | null

Standard Carrier Alpha Code (SCAC) for the shipment's carrier; included on outbound EDI 856/810 documents

service_code
string

Code identifying the shipping service

package_code
string

Code identifying the package type

shipment_cost
number<float>

Cost of shipping

insurance_cost
number<float>

Cost of insurance

warehouse_group_id
integer | null

ID of the warehouse group associated with this shipment (from the linked fulfillment order)

status
integer

Status of the shipment

ship_to
object
weight
object
dimensions
object
items
object[]

Items included in this shipment

created_at
string<date-time>

Timestamp when the shipment was created

updated_at
string<date-time>

Timestamp when the shipment was last updated